#!/bin/bash
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

cd "$SCRIPT_DIR/.."

PHP_VERSIONS=(74 81 82 83)

set -e

ONLY_PUSH=$2

function dot_version() {
    sed -r 's/^([[:digit:]])/\1./g' <<< $1
}

if [ -z "${ONLY_PUSH}" ]; then
    for PHP_VERSION in "${PHP_VERSIONS[@]}"; do
        PHP_IMAGE=$(dot_version "${PHP_VERSION}")

        echo $PHP_IMAGE
        docker-compose build "php${PHP_VERSION}" && \
        docker tag "src-php${PHP_VERSION}" "dimti/php:${PHP_IMAGE}"

        docker-compose build "workspace${PHP_VERSION}" && \
        docker tag "src-workspace${PHP_VERSION}" "dimti/workspace:${PHP_IMAGE}"
    done
fi

WITH_PUSH=$1

if [ -n "${WITH_PUSH}" ]; then
    for PHP_VERSION in "${PHP_VERSIONS[@]}"; do
        PHP_IMAGE=$(dot_version "${PHP_VERSION}")

        echo "Push $PHP_IMAGE"
        echo

        docker push "dimti/php:${PHP_IMAGE}" && \
        docker push "dimti/workspace:${PHP_IMAGE}"
        echo
    done
fi
